#pragma once
#include "../../YoggieEngine/src/YoggieEngine.h"
#include <filesystem>
#include <string>
#include "uuid.h"

enum class ASSET_TYPE {
	Unknown = -1,
	Mesh,
	Texture,
	Material
};

class Asset {
public:
	Asset(const char* name):  name(name) {}
	uuid::v4::UUID id = uuid::v4::UUID::New();

	virtual ASSET_TYPE GetType() { return ASSET_TYPE::Unknown; }
	const char* GetName() const { return name.c_str(); }
	bool isFolder = false ;
protected:
	std::string name;
	
};