#pragma once
#include "../../YoggieEngine/src/YoggieEngine.h"
#include "../EditorWindow.h"

#include <glm/glm.hpp>

#include <imgui.h>
#include "../../libs/guizmo/ImGuizmo.h"


class Viewport : public EditorWindow {
public:
    bool isFocused = false;
    YoggieEngine::Camera cam;

    Viewport(YoggieEngine::Scene& scene);

    void Draw() override;

private:
    YoggieEngine::Renderer renderer;
    YoggieEngine::Scene& scene;

};