# Yoggie Engine

<img src="Screenshots/Yoggie.webp" width="160" ></img>
## Goal
Must support building a full game in 48 hours. 
The goal is to build a mature enough engine to be capable of using during game jams.


## Features
*_NOTE:_ Just because it is listed as a feature here does not imply it has been nor guarantees it ever will be implemented*
- Rendering
    - OpenGL
    - Vulkan 
    - Metal (Possibly)
- Logging
    - Different for debug and release    
- Physics
    -  PhysX
    -  Jolt Physics
- Entity Component system
- Graphical scripting (Possibly)
- Scripting support
    - LUA
    - C# (for object orientated approaches to gamedev)
- Configuration options 
    - JSON
    - YAML
    - INI

## More docs
[Todo list](TODO.md)    \
[Planning](https://git.barink.dev/Nigel/MyGameEngine/projects)\
[Development](DEVELOPMENT.md)\
[Show case](SHOWCASE.md)
